%global git_commit 1edbe5230e1e8ec2c634bd1370ef84ea26e9cbc6
%global git_date 20140920

%global git_short_commit %(echo %{git_commit} | cut -c -8)
%global git_suffix %{git_date}git%{git_short_commit}

# git clone http://github.com/dl1ksv/gr-fcdproplus.git
# cd %%{name}
# git archive --format=tar --prefix=%%{name}-%%{version}/ %%{git_commit} | \
# bzip2 > ../%%{name}-%%{version}-%%{git_suffix}.tar.bz2

Name:             gr-fcdproplus
URL:              https://github.com/dl1ksv/gr-fcdproplus
Version:          0
Release:          0.2.%{git_suffix}%{?dist}
License:          GPLv3+
BuildRequires:    cmake, gnuradio-devel, dos2unix, hidapi-devel, doxygen
BuildRequires:    graphviz, swig, alsa-lib-devel, libusb-devel
Requires(post):   /sbin/ldconfig
Requires(postun): /sbin/ldconfig
Group:            Applications/Communications
Summary:          GNURadio support for FUNcube Dongle Pro+
Source0:          %{name}-%{version}-%{git_suffix}.tar.bz2
Source1:          10-fcdproplus.rules
# Upstream ticket: https://github.com/dl1ksv/gr-fcdproplus/issues/8
Patch0:           gr-fcdproplus-0-unbundle-hidapi.patch
# Upstream ticket: https://github.com/dl1ksv/gr-fcdproplus/issues/4
Patch1:           gr-fcdproplus-0-doxygen-fix.patch
# Sent upstream: https://github.com/dl1ksv/gr-fcdproplus/pull/10
Patch2:           gr-fcdproplus-0-soname-fix.patch

%description
GNURadio support for FUNcube Dongle Pro+.

%package devel
Summary:          Development files for gr-fcdproplus
Group:            Applications/Communications
Requires:         %{name}%{?_isa} = %{version}-%{release}

%description devel
Development files for gr-fcdproplus.

%package doc
Summary:          Documentation files for gr-fcdproplus
Group:            Applications/Communications
Requires:         %{name} = %{version}-%{release}
BuildArch:        noarch

%description doc
Documentation files for gr-fcdproplus.

%prep
%setup -q
%patch0 -p1 -b .unbundle-hidapi
%patch1 -p1 -b .doxygen-fix
%patch2 -p1 -b .soname-fix

# Unbundle hidapi
rm -rf lib/hid

# Convert CR + LF to LF
# Sent upstream: https://github.com/dl1ksv/gr-fcdproplus/pull/11
dos2unix lib/fcdcmd.h

%build
mkdir build
cd build
# used -Wl,--as-needed to fix unused-direct-shlib-dependency rpmlint warning
export LDFLAGS="-Wl,--as-needed %{?__global_ldflags}"
%cmake -DENABLE_DOXYGEN=on -DGR_PKG_DOC_DIR=%{_docdir}/%{name} ..
# parallel build is currently broken,
make

%install
cd build
make install DESTDIR=%{buildroot}

# udev rule
install -Dpm 0644 %{S:1} %{buildroot}%{_prefix}/lib/udev/rules.d/10-fcdproplus.rules

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%exclude %{_docdir}/%{name}/html
%exclude %{_docdir}/%{name}/xml
%doc COPYING README
%{_libdir}/*.so.*
%{python_sitearch}/*
%{_datadir}/gnuradio/grc/blocks/*
%{_prefix}/lib/udev/rules.d/10-fcdproplus.rules

%files devel
%{_includedir}/fcdproplus
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so

%files doc
%doc %{_docdir}/%{name}/html
%doc %{_docdir}/%{name}/xml

%changelog
* Fri Oct 10 2014 Jaroslav Škarvada <jskarvad@redhat.com> - 0-0.2.20140920git1edbe523
- Fixed package according to fedora review comments

* Sat Sep 20 2014 Jaroslav Škarvada <jskarvad@redhat.com> - 0-0.1.20140920git1edbe523
- Initial release
